package goaml.lang.driver;

import java.util.List;

import goaml.lang.StateChart;

public class Driver {

	private final List<PlannedUpdate> PLANNED_UPDATES;

	// path is the path of the CSV file which will be used to created instances of PlannedUpdate
	public Driver(final String path, final StateChart stateChart) {
		this.PLANNED_UPDATES = PlannedUpdate.parseCSV(path, stateChart);
	}

	public void update(final double timeStep) {
		for (PlannedUpdate update : PLANNED_UPDATES) {
			update.apply(timeStep);
		}
	}

}
